Webhook
Update a webhook
Updates the webhook's URL, events, or active status.
Base URL
https://app.usesaki.com/apiput
/spaces/{space}/webhooks/{webhook}Update a webhook
Updates the webhook's URL, events, or active status.
Authorization
Bearer <token>Path Parameters
spacerequiredintegerThe space ID
webhookrequiredintegerThe webhook ID
Request Body
application/jsonurlstringis_activebooleanevents"post.published" | "post.failed" | "post.scheduled" | "account.connected" | "account.disconnected"[]Response
curl -X PUT "https://app.usesaki.com/api/spaces/{space}/webhooks/{webhook}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"url": "https://example.com",
"is_active": true,
"events": [
"post.published"
]
}'Response
{
"data": {
"id": 0,
"url": "string",
"events": [
{}
],
"is_active": true,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
}